* [gentoo-commits] repo/gentoo:master commit in: dev-perl/Cache-Memcached-Fast/files/, dev-perl/Cache-Memcached-Fast/
@ 2016-08-02 12:56 Kent Fredric
0 siblings, 0 replies; 3+ messages in thread
From: Kent Fredric @ 2016-08-02 12:56 UTC (permalink / raw
To: gentoo-commits
commit: 94345d2337d7c16e66a45a85c0c135599941ac19
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 2 12:50:45 2016 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Tue Aug 2 12:53:29 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94345d23
dev-perl/Cache-Memcached-Fast: Fix make dependencies re: bug #299972
This patch injects a few missing dependency rules in the generated
Makefile that resolves the parallelism problem.
Thanks to Diego Elio Pettenò for reporting.
Bug: https://bugs.gentoo.org/299972
Package-Manager: portage-2.3.0
RepoMan-Options: --include-arches="alpha amd64 amd64-fbsd arm arm64 hppa ia64 m68k mips nios2 ppc ppc64 riscv s390 sh sparc sparc-fbsd x86 x86-fbsd"
.../Cache-Memcached-Fast-0.230.0.ebuild | 8 +++++---
.../files/0.230.0-parallel-make.patch | 15 +++++++++++++++
2 files changed, 20 insertions(+), 3 deletions(-)
diff --git a/dev-perl/Cache-Memcached-Fast/Cache-Memcached-Fast-0.230.0.ebuild b/dev-perl/Cache-Memcached-Fast/Cache-Memcached-Fast-0.230.0.ebuild
index 3f4e28d..34ba14f 100644
--- a/dev-perl/Cache-Memcached-Fast/Cache-Memcached-Fast-0.230.0.ebuild
+++ b/dev-perl/Cache-Memcached-Fast/Cache-Memcached-Fast-0.230.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -14,9 +14,11 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
-SRC_TEST="do"
+PATCHES=(
+ "${FILESDIR}/${PV}-parallel-make.patch"
+)
-MAKEOPTS="${MAKEOPTS} -j1"
+SRC_TEST="do"
DEPEND="
virtual/perl-ExtUtils-MakeMaker
diff --git a/dev-perl/Cache-Memcached-Fast/files/0.230.0-parallel-make.patch b/dev-perl/Cache-Memcached-Fast/files/0.230.0-parallel-make.patch
new file mode 100644
index 0000000..65f856c
--- /dev/null
+++ b/dev-perl/Cache-Memcached-Fast/files/0.230.0-parallel-make.patch
@@ -0,0 +1,15 @@
+diff --git a/src/Makefile.PL b/src/Makefile.PL
+index 3a945d4..2c1e03a 100644
+--- a/src/Makefile.PL
++++ b/src/Makefile.PL
+@@ -55,6 +55,10 @@ libclient$(LIB_EXT): $(OBJECT)
+ $(AR) cr libclient$(LIB_EXT) $(OBJECT)
+ $(RANLIB) libclient$(LIB_EXT)
+
++dispatch_key.o : compute_crc32.h
++
++client.o : parse_keyword.h
++
+ parse_keyword.c parse_keyword.h :: genparser.pl reply.kw
+ $(PERL) genparser.pl reply.kw parse_keyword.c parse_keyword.h
+
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-perl/Cache-Memcached-Fast/files/, dev-perl/Cache-Memcached-Fast/
@ 2017-10-03 7:30 Kent Fredric
0 siblings, 0 replies; 3+ messages in thread
From: Kent Fredric @ 2017-10-03 7:30 UTC (permalink / raw
To: gentoo-commits
commit: 3a948a110ad8e44beba6a6ae3edf67b8cca66981
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 3 07:29:16 2017 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Tue Oct 3 07:30:03 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3a948a11
dev-perl/Cache-Memcached-Fast: Bump to version 0.250.0
- EAPI6
- Parallelize tests
- Significantly expand test coverage by running a memcached test
instance when testing
- Fix building failures on Perl with -flto
- Add USE="examples"
Upstream:
- Return undef on server errors
- Prevent undefined values causing SEGV
- Avoid superflouous evals in new()
Package-Manager: Portage-2.3.8, Repoman-2.3.3
.../Cache-Memcached-Fast-0.250.0.ebuild | 43 ++++++++++++++++++++++
dev-perl/Cache-Memcached-Fast/Manifest | 1 +
.../Cache-Memcached-Fast-0.250.0-no-flto.patch | 32 ++++++++++++++++
3 files changed, 76 insertions(+)
diff --git a/dev-perl/Cache-Memcached-Fast/Cache-Memcached-Fast-0.250.0.ebuild b/dev-perl/Cache-Memcached-Fast/Cache-Memcached-Fast-0.250.0.ebuild
new file mode 100644
index 00000000000..00091ed9e06
--- /dev/null
+++ b/dev-perl/Cache-Memcached-Fast/Cache-Memcached-Fast-0.250.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DIST_AUTHOR=RAZ
+DIST_VERSION=0.25
+DIST_EXAMPLES=("script/*")
+inherit perl-module
+
+DESCRIPTION="Perl client for memcached, in C language"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+PATCHES=(
+ "${FILESDIR}/0.230.0-parallel-make.patch"
+ "${FILESDIR}/${P}-no-flto.patch"
+)
+RDEPEND="virtual/perl-Storable"
+DEPEND="${RDEPEND}
+ virtual/perl-ExtUtils-MakeMaker
+ test? (
+ net-misc/memcached
+ virtual/perl-Test-Simple
+ )
+"
+
+src_test() {
+ perl_rm_files t/pod-coverage.t t/pod.t
+
+ local memcached_opts=( -d -P "${T}/memcached.pid" -p 11211 -l 127.0.0.1 )
+ [[ ${EUID} == 0 ]] && memcached_opts+=( -u portage )
+ memcached "${memcached_opts[@]}" || die "Can't start memcached test server"
+
+ local exit_status
+ perl-module_src_test
+ exit_status=$?
+
+ kill "$(<"${T}/memcached.pid")"
+ return ${exit_status}
+}
diff --git a/dev-perl/Cache-Memcached-Fast/Manifest b/dev-perl/Cache-Memcached-Fast/Manifest
index b3cdfeeaa4e..2396242f5fb 100644
--- a/dev-perl/Cache-Memcached-Fast/Manifest
+++ b/dev-perl/Cache-Memcached-Fast/Manifest
@@ -1 +1,2 @@
DIST Cache-Memcached-Fast-0.23.tar.gz 102205 SHA256 df20beaebf85180154be5a99886686793cf1beee9081ed7de0ae66c4573d200f SHA512 2023eaec65da3ad8ac48907f86dd2f6a679939659a0047c46654aafaf3aceefcd0e03aee340214aa4300a0f4469da74b646a7a1f2c99ea9dcc6e3438f5d7899e WHIRLPOOL 34a54ed1c27524631849fca7720dad5b866c777e7c6776e7e2463add63a4af535eb4519b72db325f1c9a85af14165350c0d7c2739c2dd75b290a0a2f312da411
+DIST Cache-Memcached-Fast-0.25.tar.gz 104313 SHA256 782a259094c4667871b23cdccd500bd50802d9529f1b3d6ebe2a68f5292c5c46 SHA512 385b58f9dd66f86c7f99859782f098101d0f6bce9e2b22552895ab22d775ed73a1886544a51904797812b77e6849d8f2d79e61fb999a11e30497c6ae6de8c5c0 WHIRLPOOL edd6ecc74f6fee288f577f960463366e2ab1fd645f853119998c4b93b6a7ca4045e27deb2c0b2aec134a7928df2ee52509ac6d1465b7bd86983e8e23e2a788f5
diff --git a/dev-perl/Cache-Memcached-Fast/files/Cache-Memcached-Fast-0.250.0-no-flto.patch b/dev-perl/Cache-Memcached-Fast/files/Cache-Memcached-Fast-0.250.0-no-flto.patch
new file mode 100644
index 00000000000..d78c3fad0d7
--- /dev/null
+++ b/dev-perl/Cache-Memcached-Fast/files/Cache-Memcached-Fast-0.250.0-no-flto.patch
@@ -0,0 +1,32 @@
+From d1c5f70b144abfd4783f866aef27f60a35b61f8b Mon Sep 17 00:00:00 2001
+From: Kent Fredric <kentnl@gentoo.org>
+Date: Tue, 3 Oct 2017 20:20:14 +1300
+Subject: Strip -flto from CFLAGS
+
+-flto breaks compilation of static archives and needs significant magic
+to not break, including sentience about which CC you're using.
+---
+ Makefile.PL | 7 +++++++
+ 1 file changed, 7 insertions(+)
+
+diff --git a/Makefile.PL b/Makefile.PL
+index 0054164..ad249b9 100644
+--- a/Makefile.PL
++++ b/Makefile.PL
+@@ -22,6 +22,13 @@ WriteMakefile(
+ },
+ );
+
++sub MY::cflags {
++ my $self = shift;
++ my $orig = $self->MM::cflags(@_);
++ $orig =~ s/-flto\b//g;
++ return $orig;
++}
++
+ sub MY::postamble {
+ '
+ $(MYEXTLIB): src/Makefile
+--
+2.14.1
+
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-perl/Cache-Memcached-Fast/files/, dev-perl/Cache-Memcached-Fast/
@ 2021-05-25 19:44 Andreas K. Hüttel
0 siblings, 0 replies; 3+ messages in thread
From: Andreas K. Hüttel @ 2021-05-25 19:44 UTC (permalink / raw
To: gentoo-commits
commit: ea4662b23662390eca5b9865852047e4143ec86b
Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Tue May 25 19:42:52 2021 +0000
Commit: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Tue May 25 19:44:08 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea4662b2
dev-perl/Cache-Memcached-Fast: Version bump 0.27
Closes: https://bugs.gentoo.org/722848
Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>
.../Cache-Memcached-Fast-0.270.0.ebuild | 60 ++++++++++++++++++++++
dev-perl/Cache-Memcached-Fast/Manifest | 1 +
.../Cache-Memcached-Fast-0.270.0-no-flto.patch | 17 ++++++
3 files changed, 78 insertions(+)
diff --git a/dev-perl/Cache-Memcached-Fast/Cache-Memcached-Fast-0.270.0.ebuild b/dev-perl/Cache-Memcached-Fast/Cache-Memcached-Fast-0.270.0.ebuild
new file mode 100644
index 00000000000..bfece06a6c7
--- /dev/null
+++ b/dev-perl/Cache-Memcached-Fast/Cache-Memcached-Fast-0.270.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_AUTHOR=RAZ
+DIST_VERSION=0.27
+DIST_EXAMPLES=("script/*")
+inherit perl-module
+
+DESCRIPTION="Perl client for memcached, in C language"
+
+# License note: Perl 5.x or newer, + "when C parts used as standalone library"
+# Bug: https://bugs.gentoo.org/718946#c4
+LICENSE="|| ( Artistic GPL-1+ ) LGPL-2.1+"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="virtual/perl-Storable"
+BDEPEND="${RDEPEND}
+ virtual/perl-ExtUtils-MakeMaker
+ test? (
+ net-misc/memcached
+ virtual/perl-Test-Simple
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/0.230.0-parallel-make.patch"
+ "${FILESDIR}/${PN}-0.270.0-no-flto.patch"
+)
+
+PERL_RM_FILES=(
+ "t/pod-coverage.t"
+ "t/pod.t"
+)
+
+src_compile() {
+ mymake=(
+ "OPTIMIZE=${CFLAGS}"
+ )
+ perl-module_src_compile
+}
+
+src_test() {
+ ewarn "t/commands.t is known to fail: https://bugs.gentoo.org/722848"
+ local memcached_opts=( -d -P "${T}/memcached.pid" -p 11211 -l 127.0.0.1 )
+ [[ ${EUID} == 0 ]] && memcached_opts+=( -u portage )
+ memcached "${memcached_opts[@]}" || die "Can't start memcached test server"
+
+ local exit_status
+ perl-module_src_test
+ exit_status=$?
+
+ kill "$(<"${T}/memcached.pid")"
+ return ${exit_status}
+}
diff --git a/dev-perl/Cache-Memcached-Fast/Manifest b/dev-perl/Cache-Memcached-Fast/Manifest
index 15f274cb3a7..a44d1b5a281 100644
--- a/dev-perl/Cache-Memcached-Fast/Manifest
+++ b/dev-perl/Cache-Memcached-Fast/Manifest
@@ -1 +1,2 @@
DIST Cache-Memcached-Fast-0.26.tar.gz 87887 BLAKE2B d7877a56ba94bd173290ccc66ea91d8ff86ee22a9d381a0a8be5049194ffae97b8084f7fdb464c377e632525a9f08084258153e7c358f32926b687f46ca94a53 SHA512 aea565be2d1aaae186c6d985d88e444fa39311338a851f7f05b013affcab0bfcabd258a3df08849b9429b7168ff0d1e59ab27b1e843b217093b2b64786e890b1
+DIST Cache-Memcached-Fast-0.27.tar.gz 88712 BLAKE2B a889e719ae36721dea203b54488d86e52b40df2f1aceab1bca386a5619e80f40e27ef7fdd09ba5ef5c0678659be44b43c9416066585a0b746cf46025e546496b SHA512 6e3f7cb6ae317312a16aad7888fb75ec03ff7be5b79aef1702c8bc8a1499995379b42c1afd6c587d419ea4dbe880836c874d4929f968f7a384ab152e5baa03fa
diff --git a/dev-perl/Cache-Memcached-Fast/files/Cache-Memcached-Fast-0.270.0-no-flto.patch b/dev-perl/Cache-Memcached-Fast/files/Cache-Memcached-Fast-0.270.0-no-flto.patch
new file mode 100644
index 00000000000..003d93aeaa1
--- /dev/null
+++ b/dev-perl/Cache-Memcached-Fast/files/Cache-Memcached-Fast-0.270.0-no-flto.patch
@@ -0,0 +1,17 @@
+diff -ruN Cache-Memcached-Fast-0.27.orig/Makefile.PL Cache-Memcached-Fast-0.27/Makefile.PL
+--- Cache-Memcached-Fast-0.27.orig/Makefile.PL 2021-05-22 20:25:50.000000000 +0200
++++ Cache-Memcached-Fast-0.27/Makefile.PL 2021-05-25 21:41:10.991310429 +0200
+@@ -24,6 +24,13 @@
+ },
+ );
+
++sub MY::cflags {
++ my $self = shift;
++ my $orig = $self->MM::cflags(@_);
++ $orig =~ s/-flto\b//g;
++ return $orig;
++}
++
+ sub MY::postamble { <<'MAKE' }
+ $(MYEXTLIB): src/Makefile
+ cd src && $(MAKE) $(PASTHRU)
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2021-05-25 19:44 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-10-03 7:30 [gentoo-commits] repo/gentoo:master commit in: dev-perl/Cache-Memcached-Fast/files/, dev-perl/Cache-Memcached-Fast/ Kent Fredric
-- strict thread matches above, loose matches on Subject: below --
2021-05-25 19:44 Andreas K. Hüttel
2016-08-02 12:56 Kent Fredric
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox